org.eclipse.rdf4j.sail.shacl.AST

## Class NodeShape

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.AST.NodeShape

- All Implemented Interfaces:
    PlanGenerator, QueryGenerator, RequiresEvalutation
  Direct Known Subclasses:
    TargetClass, TargetNode

      public class NodeShape
      extends Object
      implements PlanGenerator, RequiresEvalutation, QueryGenerator

  The AST (Abstract Syntax Tree) node that represents the NodeShape node. NodeShape nodes can have multiple property nodeShapes, which are the restrictions for everything that matches the NodeShape.
  Author:
    Heshan Jayasinghe

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `NodeShape.Factory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeShape(Resource id, SailRepositoryConnection connection)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<PlanNode>` | `generatePlans(ShaclSailConnection shaclSailConnection, NodeShape nodeShape, boolean printPlans)`
    `Resource` | `getId()`
    `List<Path>` | `getPaths()`
    `PlanNode` | `getPlan(ShaclSailConnection shaclSailConnection, NodeShape nodeShape, boolean printPlans, PlanNode overrideTargetNode)`
    `PlanNode` | `getPlanAddedStatements(ShaclSailConnection shaclSailConnection, NodeShape nodeShape)`
    `PlanNode` | `getPlanRemovedStatements(ShaclSailConnection shaclSailConnection, NodeShape nodeShape)`
    `String` | `getQuery(String subjectVariable, String objectVariable, RdfsSubClassOfReasoner rdfsSubClassOfReasoner)`
    `PlanNode` | `getTargetFilter(NotifyingSailConnection shaclSailConnection, PlanNode parent)`
    `boolean` | `requiresEvaluation(SailConnection addedStatements, SailConnection removedStatements)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeShape

          public NodeShape(Resource id,
                           SailRepositoryConnection connection)

  - ### Method Detail

    - #### getPlan

          public PlanNode getPlan(ShaclSailConnection shaclSailConnection,
                                  NodeShape nodeShape,
                                  boolean printPlans,
                                  PlanNode overrideTargetNode)

      Specified by:
        `getPlan` in interface `PlanGenerator`

    - #### getPlanAddedStatements

          public PlanNode getPlanAddedStatements(ShaclSailConnection shaclSailConnection,
                                                 NodeShape nodeShape)

      Specified by:
        `getPlanAddedStatements` in interface `PlanGenerator`

    - #### getPlanRemovedStatements

          public PlanNode getPlanRemovedStatements(ShaclSailConnection shaclSailConnection,
                                                   NodeShape nodeShape)

      Specified by:
        `getPlanRemovedStatements` in interface `PlanGenerator`

    - #### getPaths

          public List<Path> getPaths()

      Specified by:
        `getPaths` in interface `PlanGenerator`

    - #### generatePlans

          public List<PlanNode> generatePlans(ShaclSailConnection shaclSailConnection,
                                              NodeShape nodeShape,
                                              boolean printPlans)

    - #### requiresEvaluation

          public boolean requiresEvaluation(SailConnection addedStatements,
                                            SailConnection removedStatements)

      Specified by:
        `requiresEvaluation` in interface `RequiresEvalutation`

    - #### getQuery

          public String getQuery(String subjectVariable,
                                 String objectVariable,
                                 RdfsSubClassOfReasoner rdfsSubClassOfReasoner)

      Specified by:
        `getQuery` in interface `QueryGenerator`

    - #### getId

          public Resource getId()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getTargetFilter

          public PlanNode getTargetFilter(NotifyingSailConnection shaclSailConnection,
                                          PlanNode parent)

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.